# Fundraising

Service providing access to Fundraising resources and features

Version: v1-2025-04-18

## Servers

```
https://fundraising.api.rhythmsoftware.com
```

## Security

### knox-authorizer

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

[Fundraising](https://docs.api.rhythmsoftware.com/_bundle/apis/fundraising/fundraising-v1.yaml)

## Appeals

Appeals

### Gets all of the appeals in the system.

 - [GET /appeals/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/listappeals.md): This method will scan all appeals and and return them to the caller.

### Creates a new appeal record that does not already exist.

 - [POST /appeals/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/createappeal.md): This method will auto-generate an ID and create a new appeal. If an ID is specified for the appeal, an error will be thrown.

### Execute Batch Operations

 - [POST /appeals/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a list of records with the specified campaign_id

 - [GET /appeals/{tenantId}/campaign/{campaign_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/listappealsbycampaignid.md): Returns a list of records with the specified campaign_id

### Searches for appeals using predefined parameters

 - [POST /appeals/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/searchforappeals.md): Searches for appeals using predefined parameters

### Returns a appeal from the system by its ID.

 - [DELETE /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/deleteappeal.md): This method will delete a appeal with the specified ID.

### Returns a appeal from the system by its ID.

 - [GET /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/getappeal.md): This method will look up a appeal by the specified ID and return it back.

### Partially updates a appeal with the specified ID.

 - [PATCH /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/patchappeal.md): This method will patch an existing appeal with the specified ID, using the HTTP PATCH specification.

### Updates a appeal with the specified ID.

 - [PUT /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/updateappeal.md): This method will update an existing appeal with the specified ID.

## Billing Templates

Billing Templates

### Gets all of the billing templates in the system.

 - [GET /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/billing-templates/listbillingtemplates.md): This method will scan all billing templates and and return them to the caller.

### Creates a new billing template record that does not already exist.

 - [POST /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/billing-templates/createbillingtemplate.md): This method will auto-generate an ID and create a new billing template. If an ID is specified for the billing template, an error will be thrown.

### Generates a billing run from a template

 - [GET /billingTemplates/{tenantId}/fromTemplate/{templateId}/{referenceDate}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/billing-templates/generatebillingrunfromtemplate.md)

### Returns a billing template from the system by its ID.

 - [DELETE /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/billing-templates/deletebillingtemplate.md): This method will delete a billing template with the specified ID.

### Returns a billing template from the system by its ID.

 - [GET /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/billing-templates/getbillingtemplate.md): This method will look up a billing template by the specified ID and return it back.

### Partially updates a billing template with the specified ID.

 - [PATCH /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/billing-templates/patchbillingtemplate.md): This method will patch an existing billing template with the specified ID, using the HTTP PATCH specification.

### Updates a billing template with the specified ID.

 - [PUT /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/billing-templates/updatebillingtemplate.md): This method will update an existing billing template with the specified ID.

## Campaigns

Campaigns

### Creates a new campaign record that does not already exist.

 - [POST /campaigns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/createcampaign.md): This method will auto-generate an ID and create a new campaign. If an ID is specified for the campaign, an error will be thrown.

### Execute Batch Operations

 - [POST /campaigns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Searches for campaigns using predefined parameters

 - [POST /campaigns/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/searchforcampaigns.md): Searches for campaigns using predefined parameters

### Returns a campaign from the system by its ID.

 - [DELETE /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/deletecampaign.md): This method will delete a campaign with the specified ID.

### Returns a campaign from the system by its ID.

 - [GET /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/getcampaign.md): This method will look up a campaign by the specified ID and return it back.

### Partially updates a campaign with the specified ID.

 - [PATCH /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/patchcampaign.md): This method will patch an existing campaign with the specified ID, using the HTTP PATCH specification.

### Updates a campaign with the specified ID.

 - [PUT /campaigns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/campaigns/updatecampaign.md): This method will update an existing campaign with the specified ID.

## Donor Clubs

Donor Clubs

### Gets all of the donor clubs in the system.

 - [GET /donorClubs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/listdonorclubs.md): This method will scan all donor clubs and and return them to the caller.

### Creates a new donor club record that does not already exist.

 - [POST /donorClubs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/createdonorclub.md): This method will auto-generate an ID and create a new donor club. If an ID is specified for the donor club, an error will be thrown.

### Execute Batch Operations

 - [POST /donorClubs/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a donor club from the system by its ID.

 - [DELETE /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/deletedonorclub.md): This method will delete a donor club with the specified ID.

### Returns a donor club from the system by its ID.

 - [GET /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/getdonorclub.md): This method will look up a donor club by the specified ID and return it back.

### Partially updates a donor club with the specified ID.

 - [PATCH /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/patchdonorclub.md): This method will patch an existing donor club with the specified ID, using the HTTP PATCH specification.

### Updates a donor club with the specified ID.

 - [PUT /donorClubs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-clubs/updatedonorclub.md): This method will update an existing donor club with the specified ID.

## Donor Levels

Donor Levels

### Gets all of the donor levels in the system.

 - [GET /donorLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-levels/listdonorlevels.md): This method will scan all donor levels and and return them to the caller.

### Creates a new donor level record that does not already exist.

 - [POST /donorLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-levels/createdonorlevel.md): This method will auto-generate an ID and create a new donor level. If an ID is specified for the donor level, an error will be thrown.

### Returns a donor level from the system by its ID.

 - [DELETE /donorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-levels/deletedonorlevel.md): This method will delete a donor level with the specified ID.

### Returns a donor level from the system by its ID.

 - [GET /donorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-levels/getdonorlevel.md): This method will look up a donor level by the specified ID and return it back.

### Partially updates a donor level with the specified ID.

 - [PATCH /donorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-levels/patchdonorlevel.md): This method will patch an existing donor level with the specified ID, using the HTTP PATCH specification.

### Updates a donor level with the specified ID.

 - [PUT /donorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-levels/updatedonorlevel.md): This method will update an existing donor level with the specified ID.

## Donor Statement Templates

Donor Statement Templates

### Gets all of the donor statement templates in the system.

 - [GET /donorStatementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/listdonorstatementtemplates.md): This method will scan all donor statement templates and and return them to the caller.

### Creates a new donor statement template record that does not already exist.

 - [POST /donorStatementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/createdonorstatementtemplate.md): This method will auto-generate an ID and create a new donor statement template. If an ID is specified for the donor statement template, an error will be thrown.

### Returns a donor statement template from the system by its ID.

 - [DELETE /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/deletedonorstatementtemplate.md): This method will delete a donor statement template with the specified ID.

### Returns a donor statement template from the system by its ID.

 - [GET /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/getdonorstatementtemplate.md): This method will look up a donor statement template by the specified ID and return it back.

### Partially updates a donor statement template with the specified ID.

 - [PATCH /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/patchdonorstatementtemplate.md): This method will patch an existing donor statement template with the specified ID, using the HTTP PATCH specification.

### Updates a donor statement template with the specified ID.

 - [PUT /donorStatementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statement-templates/updatedonorstatementtemplate.md): This method will update an existing donor statement template with the specified ID.

## Donor Statements

Donor Statements

### Creates a new donor statement record that does not already exist.

 - [POST /donorStatements/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/createdonorstatement.md): This method will auto-generate an ID and create a new donor statement. If an ID is specified for the donor statement, an error will be thrown.

### Returns a list of records with the specified donor_id

 - [GET /donorStatements/{tenantId}/donor/{donor_type}/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/liststatementsbydonorid.md): Returns a list of records with the specified donor_id

### Returns a donor statement from the system by its ID.

 - [DELETE /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/deletedonorstatement.md): This method will delete a donor statement with the specified ID.

### Returns a donor statement from the system by its ID.

 - [GET /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/getdonorstatement.md): This method will look up a donor statement by the specified ID and return it back.

### Partially updates a donor statement with the specified ID.

 - [PATCH /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/patchdonorstatement.md): This method will patch an existing donor statement with the specified ID, using the HTTP PATCH specification.

### Updates a donor statement with the specified ID.

 - [PUT /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/updatedonorstatement.md): This method will update an existing donor statement with the specified ID.

## Donors

Donors

### Creates a new donor record that does not already exist.

 - [POST /donors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/createdonor.md): This method will auto-generate an ID and create a new donor. If an ID is specified for the donor, an error will be thrown.

### Execute Batch Operations

 - [POST /donors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Recalculate Totals/Donor Clubs

 - [POST /donors/{tenantId}/recalculateDonorTotals](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/recalculatedonortotals.md): Goes through and recalculates all donor totals and automatic donor club assignments

### Searches for donors using predefined parameters

 - [POST /donors/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/searchfordonors.md): Searches for donors using predefined parameters

### Returns a donor from the system by its ID.

 - [DELETE /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/deletedonor.md): This method will delete a donor with the specified ID.

### Returns a donor from the system by its ID.

 - [GET /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/getdonor.md): This method will look up a donor by the specified ID and return it back.

### Partially updates a donor with the specified ID.

 - [PATCH /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/patchdonor.md): This method will patch an existing donor with the specified ID, using the HTTP PATCH specification.

### Updates a donor with the specified ID.

 - [PUT /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/updatedonor.md): This method will update an existing donor with the specified ID.

## Fund Categories

Fund Categories

### Gets all of the fund categories in the system.

 - [GET /fundCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/fund-categories/listfundcategories.md): This method will scan all fund categories and and return them to the caller.

### Creates a new fund category record that does not already exist.

 - [POST /fundCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/fund-categories/createfundcategory.md): This method will auto-generate an ID and create a new fund category. If an ID is specified for the fund category, an error will be thrown.

### Execute Batch Operations

 - [POST /fundCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/fund-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a fund category from the system by its ID.

 - [DELETE /fundCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/fund-categories/deletefundcategory.md): This method will delete a fund category with the specified ID.

### Returns a fund category from the system by its ID.

 - [GET /fundCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/fund-categories/getfundcategory.md): This method will look up a fund category by the specified ID and return it back.

### Partially updates a fund category with the specified ID.

 - [PATCH /fundCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/fund-categories/patchfundcategory.md): This method will patch an existing fund category with the specified ID, using the HTTP PATCH specification.

### Updates a fund category with the specified ID.

 - [PUT /fundCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/fund-categories/updatefundcategory.md): This method will update an existing fund category with the specified ID.

## Funds

Funds

### Gets all of the funds in the system.

 - [GET /funds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/listfunds.md): This method will scan all funds and and return them to the caller.

### Creates a new fund record that does not already exist.

 - [POST /funds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/createfund.md): This method will auto-generate an ID and create a new fund. If an ID is specified for the fund, an error will be thrown.

### Execute Batch Operations

 - [POST /funds/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a fund from the system by its ID.

 - [DELETE /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/deletefund.md): This method will delete a fund with the specified ID.

### Returns a fund from the system by its ID.

 - [GET /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/getfund.md): This method will look up a fund by the specified ID and return it back.

### Partially updates a fund with the specified ID.

 - [PATCH /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/patchfund.md): This method will patch an existing fund with the specified ID, using the HTTP PATCH specification.

### Updates a fund with the specified ID.

 - [PUT /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/updatefund.md): This method will update an existing fund with the specified ID.

## Gift Notices

Gift Notices

### Gets all of the gift notices in the system.

 - [GET /giftNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/listgiftnotices.md): This method will scan all gift notices and and return them to the caller.

### Creates a new gift notice record that does not already exist.

 - [POST /giftNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/creategiftnotice.md): This method will auto-generate an ID and create a new gift notice. If an ID is specified for the gift notice, an error will be thrown.

### Returns a gift notice from the system by its ID.

 - [DELETE /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/deletegiftnotice.md): This method will delete a gift notice with the specified ID.

### Returns a gift notice from the system by its ID.

 - [GET /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/getgiftnotice.md): This method will look up a gift notice by the specified ID and return it back.

### Partially updates a gift notice with the specified ID.

 - [PATCH /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/patchgiftnotice.md): This method will patch an existing gift notice with the specified ID, using the HTTP PATCH specification.

### Updates a gift notice with the specified ID.

 - [PUT /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/updategiftnotice.md): This method will update an existing gift notice with the specified ID.

## Gifts

Gifts

### Gets all of the gifts in the system.

 - [GET /gifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgifts.md): This method will scan all gifts and and return them to the caller.

### Creates a new gift record that does not already exist.

 - [POST /gifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/creategift.md): This method will auto-generate an ID and create a new gift. If an ID is specified for the gift, an error will be thrown.

### Execute Batch Operations

 - [POST /gifts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a list of records with the specified contact_id

 - [GET /gifts/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbycontactid.md): Returns a list of records with the specified contact_id

### Returns a list of records with the specified donor_id

 - [GET /gifts/{tenantId}/donor/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbydonorid.md): Returns a list of records with the specified donor_id

### Generates an order from a fundraising gift

 - [POST /gifts/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/generateorder.md): This method will examine a fundraising gift and generate an appropriate order

### Returns a list of records with the specified master_gift_id

 - [GET /gifts/{tenantId}/masterGift/{master_gift_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbymastergiftid.md): Returns a list of records with the specified master_gift_id

### Migrate Donation Orders

 - [POST /gifts/{tenantId}/migrateDonationOrders](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/migratedonations.md): Will migrate all previous orders for donation products

### Returns a list of records with the specified order_id

 - [GET /gifts/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbyorderid.md): Returns a list of records with the specified order_id

### Returns a list of records with the specified organization_id

 - [GET /gifts/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbyorganizationid.md): Returns a list of records with the specified organization_id

### Returns a list of records with the specified pledge_id

 - [GET /gifts/{tenantId}/pledge/{pledge_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbypledgeid.md): Returns a list of records with the specified pledge_id

### Preview Gift Receipt

 - [POST /gifts/{tenantId}/previewReceipt](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/previewreceipt.md): Sends out a preview of the gift receipt email

### Resend Receipt

 - [POST /gifts/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/processgift.md): Resends the gift receipt

### Get Public Giving Form Manifest

 - [GET /gifts/{tenantId}/public/givingFormManifest](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/getpublicgivingformmanifest.md): Public API Endpoint that gets information used to populate the giving form

### Resend Receipt

 - [POST /gifts/{tenantId}/public/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/processgiftpublicly.md): Resends the gift receipt

### Returns a list of records with the specified recurring_gift_id

 - [GET /gifts/{tenantId}/recurringGift/{recurring_gift_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/listgiftsbyrecurringgiftid.md): Returns a list of records with the specified recurring_gift_id

### Resend Receipt

 - [POST /gifts/{tenantId}/resendReceipt/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/resendreceipt.md): Resends the gift receipt

### Searches for gifts using predefined parameters

 - [POST /gifts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/searchforgifts.md): Searches for gifts using predefined parameters

### List Donor Soft Credits

 - [GET /gifts/{tenantId}/softCredits/{donorId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/getsoftcreditsfordonor.md): Lists all the soft credits for a donor

### Returns a gift from the system by its ID.

 - [DELETE /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/deletegift.md): This method will delete a gift with the specified ID.

### Returns a gift from the system by its ID.

 - [GET /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/getgift.md): This method will look up a gift by the specified ID and return it back.

### Partially updates a gift with the specified ID.

 - [PATCH /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/patchgift.md): This method will patch an existing gift with the specified ID, using the HTTP PATCH specification.

### Updates a gift with the specified ID.

 - [PUT /gifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gifts/updategift.md): This method will update an existing gift with the specified ID.

## Giving Processes

Giving Processes

### Gets all of the giving processes in the system.

 - [GET /givingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/listgivingprocesses.md): This method will scan all giving processes and and return them to the caller.

### Creates a new giving process record that does not already exist.

 - [POST /givingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/creategivingprocess.md): This method will auto-generate an ID and create a new giving process. If an ID is specified for the giving process, an error will be thrown.

### Execute Batch Operations

 - [POST /givingProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Gets all of the processes a contact/org is eligible to use

 - [GET /givingProcesses/{tenantId}/eligible/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/geteligibleprocesses.md)

### Returns a giving process from the system by its ID.

 - [DELETE /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/deletegivingprocess.md): This method will delete a giving process with the specified ID.

### Returns a giving process from the system by its ID.

 - [GET /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/getgivingprocess.md): This method will look up a giving process by the specified ID and return it back.

### Partially updates a giving process with the specified ID.

 - [PATCH /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/patchgivingprocess.md): This method will patch an existing giving process with the specified ID, using the HTTP PATCH specification.

### Updates a giving process with the specified ID.

 - [PUT /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/updategivingprocess.md): This method will update an existing giving process with the specified ID.

## Pledge Levels

Pledge Levels

### Gets all of the pledge levels in the system.

 - [GET /pledgeLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/listpledgelevels.md): This method will scan all pledge levels and and return them to the caller.

### Creates a new pledge level record that does not already exist.

 - [POST /pledgeLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/createpledgelevel.md): This method will auto-generate an ID and create a new pledge level. If an ID is specified for the pledge level, an error will be thrown.

### Returns a pledge level from the system by its ID.

 - [DELETE /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/deletepledgelevel.md): This method will delete a pledge level with the specified ID.

### Returns a pledge level from the system by its ID.

 - [GET /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/getpledgelevel.md): This method will look up a pledge level by the specified ID and return it back.

### Partially updates a pledge level with the specified ID.

 - [PATCH /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/patchpledgelevel.md): This method will patch an existing pledge level with the specified ID, using the HTTP PATCH specification.

### Updates a pledge level with the specified ID.

 - [PUT /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/updatepledgelevel.md): This method will update an existing pledge level with the specified ID.

## Pledge Notices

Pledge Notices

### Gets all of the pledge notices in the system.

 - [GET /pledgeNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/listpledgenotices.md): This method will scan all pledge notices and and return them to the caller.

### Creates a new pledge notice record that does not already exist.

 - [POST /pledgeNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/createpledgenotice.md): This method will auto-generate an ID and create a new pledge notice. If an ID is specified for the pledge notice, an error will be thrown.

### Returns a pledge notice from the system by its ID.

 - [DELETE /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/deletepledgenotice.md): This method will delete a pledge notice with the specified ID.

### Returns a pledge notice from the system by its ID.

 - [GET /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/getpledgenotice.md): This method will look up a pledge notice by the specified ID and return it back.

### Partially updates a pledge notice with the specified ID.

 - [PATCH /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/patchpledgenotice.md): This method will patch an existing pledge notice with the specified ID, using the HTTP PATCH specification.

### Updates a pledge notice with the specified ID.

 - [PUT /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/updatepledgenotice.md): This method will update an existing pledge notice with the specified ID.

## Pledges

Pledges

### Creates a new pledge record that does not already exist.

 - [POST /pledges/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/createpledge.md): This method will auto-generate an ID and create a new pledge. If an ID is specified for the pledge, an error will be thrown.

### Execute Batch Operations

 - [POST /pledges/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a list of records with the specified contact_id

 - [GET /pledges/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbycontactid.md): Returns a list of records with the specified contact_id

### Returns a list of records with the specified donor_id

 - [GET /pledges/{tenantId}/donor/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbydonorid.md): Returns a list of records with the specified donor_id

### Generates an order from a fundraising pledge

 - [POST /pledges/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/generateorder.md): This method will examine a fundraising pledge and generate an appropriate order

### Returns a list of records with the specified order_id

 - [GET /pledges/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbyorderid.md): Returns a list of records with the specified order_id

### Returns a list of records with the specified organization_id

 - [GET /pledges/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/listpledgesbyorganizationid.md): Returns a list of records with the specified organization_id

### Sends out a preview of the pledge notification email

 - [POST /pledges/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/previewemail.md): Sends out a preview of the pledge notification email

### Preview Pledge Receipt

 - [POST /pledges/{tenantId}/previewReceipt](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/previewreceipt.md): Sends out a preview of the pledge receipt email

### Resend Receipt

 - [POST /pledges/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/processpledge.md): Resends the pledge receipt

### Resend Receipt

 - [POST /pledges/{tenantId}/public/process](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/processpledgepublicly.md): Resends the pledge receipt

### Resend Receipt

 - [POST /pledges/{tenantId}/resendReceipt/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/resendreceipt.md): Resends the pledge receipt

### Searches for pledges using predefined parameters

 - [POST /pledges/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/searchforpledges.md): Searches for pledges using predefined parameters

### Returns a pledge from the system by its ID.

 - [DELETE /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/deletepledge.md): This method will delete a pledge with the specified ID.

### Returns a pledge from the system by its ID.

 - [GET /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/getpledge.md): This method will look up a pledge by the specified ID and return it back.

### Partially updates a pledge with the specified ID.

 - [PATCH /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/patchpledge.md): This method will patch an existing pledge with the specified ID, using the HTTP PATCH specification.

### Updates a pledge with the specified ID.

 - [PUT /pledges/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledges/updatepledge.md): This method will update an existing pledge with the specified ID.

## Premiums

Premiums

### Gets all of the premiums in the system.

 - [GET /premiums/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/listpremiums.md): This method will scan all premiums and and return them to the caller.

### Creates a new premium record that does not already exist.

 - [POST /premiums/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/createpremium.md): This method will auto-generate an ID and create a new premium. If an ID is specified for the premium, an error will be thrown.

### Execute Batch Operations

 - [POST /premiums/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a premium from the system by its ID.

 - [DELETE /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/deletepremium.md): This method will delete a premium with the specified ID.

### Returns a premium from the system by its ID.

 - [GET /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/getpremium.md): This method will look up a premium by the specified ID and return it back.

### Partially updates a premium with the specified ID.

 - [PATCH /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/patchpremium.md): This method will patch an existing premium with the specified ID, using the HTTP PATCH specification.

### Updates a premium with the specified ID.

 - [PUT /premiums/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/premiums/updatepremium.md): This method will update an existing premium with the specified ID.

## Products

Products

### Gets all of the products in the system.

 - [GET /products/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/listproducts.md): This method will scan all products and and return them to the caller.

### Creates a new product record that does not already exist.

 - [POST /products/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/createproduct.md): This method will auto-generate an ID and create a new product. If an ID is specified for the product, an error will be thrown.

### Execute Batch Operations

 - [POST /products/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a list of records with the specified fund_id

 - [GET /products/{tenantId}/fund/{fund_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/listproductsbyfundid.md): Returns a list of records with the specified fund_id

### Returns a product from the system by its ID.

 - [DELETE /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/deleteproduct.md): This method will delete a product with the specified ID.

### Returns a product from the system by its ID.

 - [GET /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/getproduct.md): This method will look up a product by the specified ID and return it back.

### Partially updates a product with the specified ID.

 - [PATCH /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/patchproduct.md): This method will patch an existing product with the specified ID, using the HTTP PATCH specification.

### Updates a product with the specified ID.

 - [PUT /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/updateproduct.md): This method will update an existing product with the specified ID.

## Query Definitions

Query Definitions

### Returns a list of records

 - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/query-definitions/getquerydefinitions.md): Returns a list of records

## Recurring Gifts

Recurring Gifts

### Gets all of the recurring gifts in the system.

 - [GET /recurringGifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listrecurringgifts.md): This method will scan all recurring gifts and and return them to the caller.

### Creates a new recurring gift record that does not already exist.

 - [POST /recurringGifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/createrecurringgift.md): This method will auto-generate an ID and create a new recurring gift. If an ID is specified for the recurring gift, an error will be thrown.

### Execute Batch Operations

 - [POST /recurringGifts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a list of records with the specified contact_id

 - [GET /recurringGifts/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listrecurringgiftsbycontactid.md): Returns a list of records with the specified contact_id

### Returns a list of records with the specified donor_id

 - [GET /recurringGifts/{tenantId}/donor/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listgiftsbydonorid.md): Returns a list of records with the specified donor_id

### Returns a list of records with the specified organization_id

 - [GET /recurringGifts/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listrecurringgiftsbyorganizationid.md): Returns a list of records with the specified organization_id

### Searches for recurring gifts using predefined parameters

 - [POST /recurringGifts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/searchforrecurringgifts.md): Searches for recurring gifts using predefined parameters

### Returns a recurring gift from the system by its ID.

 - [DELETE /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/deleterecurringgift.md): This method will delete a recurring gift with the specified ID.

### Returns a recurring gift from the system by its ID.

 - [GET /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/getrecurringgift.md): This method will look up a recurring gift by the specified ID and return it back.

### Partially updates a recurring gift with the specified ID.

 - [PATCH /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/patchrecurringgift.md): This method will patch an existing recurring gift with the specified ID, using the HTTP PATCH specification.

### Updates a recurring gift with the specified ID.

 - [PUT /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/updaterecurringgift.md): This method will update an existing recurring gift with the specified ID.

## Settings

Settings

### Returns a setting from the system by its ID.

 - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/settings/deletesetting.md): This method will delete a setting with the specified ID.

### Returns a setting from the system by its ID.

 - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back.

### Partially updates a setting with the specified ID.

 - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification.

### Creates a new setting record that does not already exist.

 - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown.

### Updates a setting with the specified ID.

 - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID.

## Statistics

Statistics

### Execute Batch Operations

 - [POST /statistics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/statistics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

### Returns a statistic from the system by its ID.

 - [GET /statistics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/statistics/getstatistic.md): This method will look up a statistic by the specified ID and return it back.

